Package org.eclipse.m2m.atl.profiler.exportmodel.util

## Class ExportmodelAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.m2m.atl.profiler.exportmodel.util.ExportmodelAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`

Direct Known Subclasses:
  `ExportmodelItemProviderAdapterFactory`

    public class ExportmodelAdapterFactory
    extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `ExportmodelPackage`

### Field Summary

Fields
`protected static ExportmodelPackage` `modelPackage` The cached model package.
`protected ExportmodelSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch the delegates to the `createXXX` methods.

### Constructor Summary

Constructors
`ExportmodelAdapterFactory()` Creates an instance of the adapter factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `createAdapter​(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createAtlOperationExportAdapter()` Creates a new adapter for an object of class '`Atl Operation Export`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createExportElementAdapter()` Creates a new adapter for an object of class '`Export Element`'.
`org.eclipse.emf.common.notify.Adapter` `createExportRootAdapter()` Creates a new adapter for an object of class '`Export Root`'.
`org.eclipse.emf.common.notify.Adapter` `createProfilingOperationExportAdapter()` Creates a new adapter for an object of class '`Profiling Operation Export`'.
`boolean` `isFactoryForType​(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelPackage

    protected static ExportmodelPackage modelPackage

The cached model package.

#### modelSwitch

    protected ExportmodelSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

The switch the delegates to the `createXXX` methods.

### Constructor Detail

#### ExportmodelAdapterFactory

    public ExportmodelAdapterFactory()

Creates an instance of the adapter factory.

### Method Detail

#### isFactoryForType

    public boolean isFactoryForType​(java.lang.Object object)

Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

#### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter​(org.eclipse.emf.common.notify.Notifier target)

Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

#### createExportElementAdapter

    public org.eclipse.emf.common.notify.Adapter createExportElementAdapter()

Creates a new adapter for an object of class '`Export Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ExportElement`

#### createProfilingOperationExportAdapter

    public org.eclipse.emf.common.notify.Adapter createProfilingOperationExportAdapter()

Creates a new adapter for an object of class '`Profiling Operation Export`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ProfilingOperationExport`

#### createAtlOperationExportAdapter

    public org.eclipse.emf.common.notify.Adapter createAtlOperationExportAdapter()

Creates a new adapter for an object of class '`Atl Operation Export`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `AtlOperationExport`

#### createExportRootAdapter

    public org.eclipse.emf.common.notify.Adapter createExportRootAdapter()

Creates a new adapter for an object of class '`Export Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ExportRoot`

#### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.